# TxLimitOrdersCreates

#### Blockchain operations

* limit\_order\_create
* limit\_order\_create2

#### Columns

| Name                     | Description                                                                                                    |
| ------------------------ | -------------------------------------------------------------------------------------------------------------- |
| owner                    | account who filled a limit order                                                                               |
| orderid                  | an order ID defined by the owner. It must be unique                                                            |
| amount\_to\_sell         | amount of asset                                                                                                |
| amount\_to\_sell\_symbol | symbol of the asset                                                                                            |
| min\_to\_receive         | The target asset expected price (limit\_order\_create only)                                                    |
| min\_to\_receive\_symbol | The target asset expected symbol (limit\_order\_create only)                                                   |
| exchange\_rate           | The target asset expected price (limit\_order\_create2)                                                        |
| fill\_or\_kill           | flag to specify if the order should be killed (removed) from the order book if it cannot be filled immediately |
| expiration               | expiration time for the order                                                                                  |

#### Description

This table contains operations broadcasted to the blockchain when users want to buy or sell assets on the internal market.

`min_to_receive` and `min_to_receive_symbol` are used by limit\_order\_create operation only and will be left to NULL for other operations.

`exchange_rate` is used by limit\_order\_create 2operation only and will be left to NULL for other operations

The meaning of `fill_or_kill` is the same as literally, either fill (match) or kill (close). That is to say that when the user puts an order, if it can be filled, it will be filled and if it cannot be filled, it will be closed. So fill\_or\_kill can also be counted as a means to cancel an order

`expiration` is to specify when the order will expire. It can even be any time within 28 days. The order is automatically canceled when it expires, so this is also another way to cancel an order.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hivesql.io/technical-informations/operations/txlimitorders.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
